import { transformSync } from 'esbuild';
import { extname } from 'path';

function process(content, filename) {
  const result = transformSync(content, {
    loader: extname(filename).slice(1),
    sourcefile: filename,
    sourcemap: true,
    format: "cjs",
    target: "es2018"
  });
  return {
    code: result.code,
    map: {
      ...JSON.parse(result.map),
      sourcesContent: null
    }
  };
}

export { process };
