'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var esbuild = require('esbuild');
var path = require('path');

function process(content, filename) {
  const result = esbuild.transformSync(content, {
    loader: path.extname(filename).slice(1),
    sourcefile: filename,
    sourcemap: true,
    format: "cjs",
    target: "es2018"
  });
  return {
    code: result.code,
    map: {
      ...JSON.parse(result.map),
      sourcesContent: null
    }
  };
}

exports.process = process;
